Package org.eclipse.lemminx.extensions.catalog.participants

## Class CatalogFilePathSupportParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.catalog.participants.CatalogFilePathSupportParticipant

All Implemented Interfaces:
  `IFilePathSupportParticipant`

    public class CatalogFilePathSupportParticipant
    extends Object
    implements IFilePathSupportParticipant

Catalog file path support for catalog.xml to provide completion for @uri attribute.

### Constructor Summary

Constructors
`CatalogFilePathSupportParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IFilePathExpression>` `collectFilePathExpressions​(DOMDocument document)` Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CatalogFilePathSupportParticipant

    public CatalogFilePathSupportParticipant()

### Method Detail

#### collectFilePathExpressions

    public List<IFilePathExpression> collectFilePathExpressions​(DOMDocument document)

Description copied from interface: `IFilePathSupportParticipant`
Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

Specified by:
  `collectFilePathExpressions` in interface `IFilePathSupportParticipant`
Parameters:
  `document` - the DOM document.
Returns:
  the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.